Skip to content

Get User

Open in ChatGPT Open in Claude
GET
/v1/user/{identifyId}
curl --request GET \
--url https://api.foldspace.ai/v1/user/example \
--header 'X-FOLDSPACE-API-KEY: <X-FOLDSPACE-API-KEY>'

Retrieves a single user by identifyId.

identifyId
required
string

The unique identifier of the user to be retrieved

User retrieved successfully

Media type application/json

User Data Transfer Object

object
id

System-managed user ID (not updatable)

string
userType
required

Specifies user type (ANONYMOUS, LEAD, USER)

string
Allowed values: ANONYMOUS LEAD USER
identifyId
required

Unique identifier for the user (not updatable)

string
0 <= 255 characters
email

User’s email address

string
0 <= 255 characters
name

User’s display name

string
0 <= 255 characters /^[a-zA-Z0-9_ \-()]*$/
role

User’s role

string
0 <= 255 characters
phone

User’s phone number

string
0 <= 20 characters
timezone

User’s time zone

string
0 <= 50 characters
leadDate

Lead date in epoch milliseconds

integer format: int64
signUpDate

Sign-up date in epoch milliseconds

integer format: int64
lastModifiedDate

Last modified date (system-managed)

integer format: int64
firstVisitDate

First visit date in epoch milliseconds

integer format: int64
lastSeenDate

Last seen date in epoch milliseconds

integer format: int64
lastSubscriptionIdentifier

Last subscription identifier

string
0 <= 255 characters
allSubscriptionIdentifiers

All subscription identifiers associated with the user

Array<string>
0 <= 100 items unique items
location

User location details

object
country

Location country

string
0 <= 128 characters
region

Location region

string
0 <= 128 characters
state

Location state

string
0 <= 128 characters
city

Location city

string
0 <= 128 characters
postalCode

Postal code

string
0 <= 128 characters
countryCode

ISO country code

string
0 <= 8 characters
customAttributes

Custom attributes as map of key-value pairs

object
key
additional properties

Custom attributes as map of key-value pairs

object
products

Products associated with this user

Array<object>
0 <= 20 items unique items

Details about product and environment association

object
product

Product code

string
0 <= 16 characters
environment

Environment code (1=prod, 2=stage, 3=test, 4=dev)

integer format: int32
>= 1 <= 4
numberOfVisits

Number of visits (system-managed)

integer format: int32
image

Profile image URL

string
0 <= 255 characters
pqlScore

PQL score in the range 0.0 - 100.0

number format: double
<= 100
Examples
Example Example Response

Example Response

{
"id": "f63d4158-0171-4f0d-bc62-29112c0fc82c",
"userType": "USER",
"identifyId": "bTMwUidOQiZhMazBDWGAAmuRnu9N2",
"email": "alice.johnson@foldspace.io",
"name": "Alice Johnson",
"role": null,
"phone": null,
"timezone": null,
"leadDate": null,
"signUpDate": 1734539909141,
"lastModifiedDate": 1731863535216,
"firstVisitDate": 1734539909141,
"lastSeenDate": 1731863535216,
"lastSubscriptionIdentifier": "3a7d6f3b-8f1e-46b5-8731-c3e981e9abf7",
"allSubscriptionIdentifiers": [
"3a7d6f3b-8f1e-46b5-8731-c3e981e9abf7",
"562e6da7-13ad-4c16-adfc-572932ed3749"
],
"location": null,
"customAttributes": {
"key1": "value1",
"key2": 6
},
"products": [
{
"product": "X7B69NRTTBM7",
"environment": 1
}
],
"numberOfVisits": 77,
"image": "https://lh3.googleusercontent.com/a/AcBcqILXSthaPBfUYlnMPF9msfBbPUojM0_BYjtq0dG8vJshWF_wg=s96-c",
"pqlScore": null
}

Unauthorized

Media type application/json
string
Example
{
"error": "Unauthorized"
}

User not found

Media type application/json
string
Example
{
"error": "User not found"
}

Rate limit exceeded for subscription

Media type */*
string
Example
{
"error": "Rate limit exceeded for subscription"
}

Internal server error

Media type application/json
string
Example
{
"error": "Internal server error"
}